Bug Hunting Session
Bug 43431 - EDITING: Hyperlinks do not work if DRAW picture in background (wrongly select object)
Summary: EDITING: Hyperlinks do not work if DRAW picture in background (wrongly select...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2011-12-01 10:25 UTC by Rainer Bielefeld Retired
Modified: 2018-08-22 02:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (18.85 KB, application/vnd.oasis.opendocument.text)
2011-12-01 10:25 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-12-01 10:25:22 UTC
Created attachment 54029 [details]
Sample document

Steps how to reproduce with "LibreOffice 3.4.4  - WIN7 Home Premium (64bit) English UI [OOO340m1 (Build:402)]":
1. open attached "linktest.odt" from WIN explorer
2. Move mouse pointer (with <control> if necessary) to
  "fermentum" in blue smiley
   Expected: mouse pointer changes, link will work
   Actual: no mouse pointer change, link does not work
3. Move mouse pointer (with <control> if necessary) to
  "sem" in text
   Expected: mouse pointer changes, link will work
   Actual: as expected
4. Check links at yellwo smiley in Frame. 
   Again only the link outside the smiley will work
5. Check links at yellwo smiley in DRAW Textfrrame. 
   Here both links will work

I was sure that this already has been reported, but I can't find the bug.
Comment 1 Rainer Bielefeld Retired 2011-12-01 10:28:32 UTC
Also a problem in LibO 3.3.3 and OOo 3.1.1, so inherited from OOo.
Comment 2 Ángel Luis García García 2012-04-20 11:54:42 UTC
[Reproducible] with "LibreOffice 3.5.2.2 - Windows XP Service Pack 3 (32 bit) Spanish UI"
Comment 3 sasha.libreoffice 2012-04-27 07:02:35 UTC
Reproducible in 3.5.2 on Fedora 64 bit

About step 2: Ctrl-Click intended in Writer for selecting pictures. So it select picture. If we change settings for links working without pressing Ctrl, then link works.
IMHO priority of firing link should be greater than selecting picture when we hold Ctrl.

About step 4: the same, both working when we change settings for links

About step 5: none of links works. In 3.3.4 too. And on Windows 7 too. Each time selects frame (slightly above yellow smile)
IMHO it is another bug. Resembles this (from user point of view):
Bug 35355 - in Writer drawing object selects incorrectly
Comment 4 Rainer Bielefeld Retired 2012-04-27 07:31:47 UTC
Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 5 A (Andy) 2014-10-11 17:21:52 UTC
Partly reproducible with LO 4.3.2.2 (Win 8.1)

Step 2 and 3: work as expected with CTRL + Double Mouse Click
Step 4: only the link at the word "Some" works, but not the one at "Frame"
Step 5: Both links in the Draw text frame don't work
Comment 6 QA Administrators 2015-10-14 19:57:59 UTC Comment hidden (obsolete)
Comment 7 Julien Nabet 2016-05-27 10:34:20 UTC
On pc Debian x86-64 with master sources updated today, with <control>, all the links were ok except "Frame" one.
With "Frame" I got the tip which indicates it's a link but when clicking it just selects the frame.
Comment 8 QA Administrators 2018-08-22 02:36:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug